CREATE TABLE CRST_AP_PAY_FORMAT
(
  CHECK_FORMAT_ID               NUMBER,
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER,
  NAME                          VARCHAR2(30 BYTE),
  TYPE                          VARCHAR2(15 BYTE),
  STUB_FIRST_FLAG               VARCHAR2(1 BYTE),
  CHECK_LENGTH                  NUMBER,
  STUB_LENGTH                   NUMBER,
  INVOICES_PER_STUB             NUMBER,
  OVERFLOW_RULE                 VARCHAR2(10 BYTE),
  PRE_NUMBERED_FLAG             VARCHAR2(1 BYTE),
  CHECK_NUM_ROW_LINE            NUMBER,
  DATE_ROW_LINE                 NUMBER,
  AMOUNT_ROW_LINE               NUMBER,
  AMOUNT_WORDS_ROW_LINE         NUMBER,
  VENDOR_NUM_ROW_LINE           NUMBER,
  VENDOR_NAME_ROW_LINE          NUMBER,
  VENDOR_ADDRESS_ROW_LINE       NUMBER,
  STUB_CHECK_NUM_ROW_LINE       NUMBER,
  STUB_VENDOR_NAME_ROW_LINE     NUMBER,
  STUB_VENDOR_NUM_ROW_LINE      NUMBER,
  STUB_FIRST_INVOICE_ROW_LINE   NUMBER,
  PAYMENT_METHOD_LOOKUP_CODE    VARCHAR2(25 BYTE),
  CURRENCY_CODE                 VARCHAR2(15 BYTE),
  CREATE_PAYMENTS_PROGRAM_ID    NUMBER(15),
  CONFIRM_PAYMENTS_PROGRAM_ID   NUMBER(15),
  SEPARATE_REMITTANCE_ADVICE    VARCHAR2(1 BYTE),
  REMITTANCE_ADVICE_PROGRAM_ID  NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  CREATION_DATE                 DATE,
  CREATED_BY                    NUMBER(15),
  EFT_TYPE                      VARCHAR2(1 BYTE),
  MULTI_CURRENCY_FLAG           VARCHAR2(1 BYTE),
  ATTRIBUTE_CATEGORY            VARCHAR2(150 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  ZERO_AMOUNTS_ONLY             VARCHAR2(1 BYTE),
  BUILD_PAYMENTS_PROGRAM_ID     NUMBER(15),
  FORMAT_PAYMENTS_PROGRAM_ID    NUMBER(15),
  PRINT_CHECK_STUB              VARCHAR2(1 BYTE),
  GROUP_BY_DUE_DATE             VARCHAR2(1 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20            VARCHAR2(150 BYTE),
  BANK_FILE_CHARACTER_SET       VARCHAR2(25 BYTE),
  TRANSMISSIONS_FLAG            VARCHAR2(1 BYTE),
  DUMMY                         CHAR(1),
  LAST_UPDATED_BY_NAME          VARCHAR2(100),
  CREATED_BY_NAME               VARCHAR2(100),
  BUILD_PGM_NAME                VARCHAR2(100),
  BUILD_NAME                    VARCHAR2(100),
  FORMAT_PGM_NAME               VARCHAR2(100),
  FORMAT_NAME                   VARCHAR2(100),
  REMIT_PGM_NAME                VARCHAR2(100),
  REMIT_NAME                    VARCHAR2(100)
);